// ---------------------------------------------------@RisingSun//Java//1.0//EN
// Project			:	SPEdit-Prototypes
// ClassName		:	XMLEditorKit
// Version			:	0.05
// Type				:	Swing application component
//						
// ThreadSafe		:	Yep
// Description		:	Can generate an XMLDocument with the XMLViewFactory.
// URL				:	<http://SPEdit.sourceforge.net>
// ----------------------------------------------------------------------------
// Authors			:	Sebastien Pierre				<spierre@isb-sib.ch>
// ----------------------------------------------------------------------------
// Creation date		:	03-Sep-2001	
// Last mod.			:	27-Sep-2001	
// History			:	
//							27-Sep-2001 Added support for view factory XML
//							configuration.(SP)
//							03-Sep-2001 First implementation.(SP)
//
// Bugs				:
//						-
//
// To do			:
//						-

package net.sourceforge.spedit.core;

import java.io.*;
import javax.swing.*;
import javax.swing.text.*;
import org.jdom.input.*;
import org.jdom.output.*;

//-----------------------------------------------------------------------------
//
// XMLEditorKit class 
//
//-----------------------------------------------------------------------------

/**
  * TODO
  * @author Sebastien Pierre
  * @version 0.1
*/
public class XMLEditorKit extends EditorKit
{
	// PUBLIC__________________________________________________________________
	public static final String XML_CONTENT_TYPE="text/xml";

	// PRIVATE_________________________________________________________________
	private final XMLViewFactory viewFactory = new XMLViewFactory();

	public XMLEditorKit()
	{
	}

	public XMLEditorKit(String configuration)
	{
		configureView(configuration);
	}

	public Document createDefaultDocument()
	{
		return new XMLDocument();
	}

	public Caret createCaret()
	{
		return new DefaultCaret();
	}

	public Action[] getActions()
	{
		return new Action[0];
	}

	public String getContentType()
	{
		return XML_CONTENT_TYPE;
	}

	public ViewFactory getViewFactory()
	{
		return viewFactory;
	}

	/**
	  * Configures the <code>XMLEditorKit</code> attached view using the given
	  * configuration XML file. In case the file is not found or does not
	  * conform to its schema, the <code>XMLViewFactory</code> will not be
	  * initalized.
	*/
	public void configureView(String filename)
	{
		viewFactory.loadConfiguration(filename);
	}

	//-------------------------------------------------------------------------
	//
	// File input/output
	//
	//-------------------------------------------------------------------------

	public void read(InputStream in, Document doc, int pos)
	{}

	public void read(Reader in, Document doc, int pos)
	{}

	public void write(OutputStream out, Document doc, int pos, int len)
	{}

	public void write(Writer out, Document doc, int pos, int len)
	{}
}

// EOF-Unix/ASCII--------------------------------------@RisingSun//Java/1.0//EN
