// ---------------------------------------------------@RisingSun//Java//1.0//EN
// Project			:	SPEdit-Prototypes
// ClassName		:	XMLJDOMFactory
// Version			:	0.75
// Type				:	
//
// ThreadSafe		:	Yep
// Description		:	Implements the Factory interface of JDOM to be able to
//						generate the XMLDocument element.
// URL				:	<http://SPEdit.sourceforge.net>
// ----------------------------------------------------------------------------
// Authors			:	Sebastien Pierre				<spierre@isb-sib.ch>
// ----------------------------------------------------------------------------
// Creation date	:	14-Sep-2001	
// Last mod.		:	14-Sep-2001	
// History			:
//						14-Sep-2001 First implementation.(SP)
//
// Notes			:
//
// Bugs				:
//					  -
//
// To do			:
//					  -

package net.sourceforge.spedit.core;

import org.jdom.*;
import org.jdom.input.*;

//-----------------------------------------------------------------------------
//
//  XMLJDOMFactory
//
//-----------------------------------------------------------------------------

public class XMLJDOMFactory extends DefaultJDOMFactory
{
	// CONSTRUCTORS____________________________________________________________

	public XMLJDOMFactory()
	{
		super();
	}

	// METHODS_________________________________________________________________
	public Element element(java.lang.String name) 
	{
		return new XMLElement(name);
	}

	public Element element(java.lang.String name, Namespace namespace) 
	{
		return new XMLElement(name, namespace);
	}

	public Element element(java.lang.String name, java.lang.String uri) 
	{
		return new XMLElement(name, uri);
	}

	public Element element(java.lang.String name, java.lang.String prefix, java.lang.String uri) 
	{
		return new XMLElement(name, prefix, uri);
	}

	public Document document(Element rootElement) 
	{
		return new XMLDocument(rootElement);
	}

	public Document document(Element rootElement, DocType docType) 
	{
		return new XMLDocument(rootElement, docType);
	}
}

// EOF-Linux/ISO-8859-1-----------------------------@RisingSun//Python//1.0//EN
