// ---------------------------------------------------@RisingSun//Java//1.0//EN
// Project			:	SPEdit-Prototypes
// ClassName		:	XMLNode
// Version			:	0.85
// Type				:	Core interface
//						
// ThreadSafe		:	Nope.
// Description		:	Describes the interface of nodes that should be present
//						inside an XMLDocument.
// URL				:	<http://SPEdit.sourceforge.net>
// ----------------------------------------------------------------------------
// Authors			:	Sebastien Pierre				<spierre@isb-sib.ch>
// ----------------------------------------------------------------------------
// Creation date	:	03-Oct-2001
// Last mod.		:	15-Oct-2001	
// History			:	
//						15-Oct-2001 Added getWholeText with offset support.(SP)
//						03-Oct-2001 First implementation.(SP)
//
// Bugs				:
//						-
//
// To do			:
//						- Move to Java regexp
//						- Write JavaDoc.(SP)

package net.sourceforge.spedit.core;

import java.awt.Color;
import java.awt.Font;
import java.util.*;
import java.beans.*;
import gnu.regexp.*;

/**
  * The <code>XMLNode</code> interface describes the interface of the nodes, or
  * elements, present in an XMLDocument. This interface can be used to
  * manipulate the information present both in <code>XMLTextWrapper</code> and
  * <code>XMLElementWrapper</code> without making the separation. When adding
  * new node types to the <code>XMLDocument</code> all new element should
  * implement this interface.
  * @version 0.8
  * @author Sbastien Pierre
*/
public interface XMLNode
{
	public abstract XMLInformation getInformation();
	public abstract String getWholeText();
	public abstract String getWholeText(int start, int end);
	public abstract int getStartOffset();
	public abstract int getEndOffset();
	public abstract void setInformation(XMLInformation info);
	public abstract boolean hasInformation();
}
