// ---------------------------------------------------@RisingSun//Java//1.0//EN
// Project			:	SPEdit-Prototypes
// ClassName		:	XMLText
// Version			:	0.80
// Type				:	
//
// ThreadSafe		:	Nope
// Description		:	
// URL				:	<http://SPEdit.sourceforge.net>
// ----------------------------------------------------------------------------
// Authors			:	Sbastien Pierre				<spierre@isb-sib.ch>
// ----------------------------------------------------------------------------
// Creation date	:	20-Sep-2001	
// Last mod.		:	24-Sep-2001	
// History			:
//						24-Sep-2001 Added new constructor.(SP)
//						20-Sep-2001 First implementation.(SP)
//
// Notes			:
//
// Bugs				:
//					  -
//
// To do			:
//					  -

package net.sourceforge.spedit.core;

import java.util.*;
import java.text.StringCharacterIterator;
import javax.swing.text.*;
import javax.swing.tree.TreeNode;
import org.jdom.CDATA;
import org.jdom.Text;


//----------------------------------------------------------------------------
//
//  XMLText
//
//----------------------------------------------------------------------------


/**
  * The <code>XMLText</code> is simply an extension to the JDOM
  * <code>Text</code> that has an emebedded wrapper which enable it to take the
  * form of a Swing document model element.
*/
public class XMLText extends Text
{

	protected XMLTextWrapper wrapper;

	//------------------------------------------------------------------------
	//
	// Constructors
	//
	//------------------------------------------------------------------------

	public XMLText(String s)
	{
		super(s);
		this.wrapper = new XMLTextWrapper(this);
	}

	public XMLText(String s, XMLElement parent)
	{
		super(s);
		this.wrapper = new XMLTextWrapper(this);
		setParent(parent);
	}

	//------------------------------------------------------------------------
	//
	// Methods
	//
	//------------------------------------------------------------------------

	public XMLTextWrapper getWrapper()
	{	return wrapper;	}

	public void setValue(String s)
	{
		value = new StringBuffer(s);
	}

	public void setParent(XMLElement parent)
	{
		this.parent = parent;
	}

	/**
	  * <p>Strips leading and trailing spaces.</p>
	*/
	public void strip()
	{
		
		char c;
		String s = value.toString();
		StringCharacterIterator it = new StringCharacterIterator(s);
		int start=0;
		int end=s.length();
		//We get the start index
		while ( start<end &&  ((c=it.next())==' ' || c=='\n' || c=='\t' ))
		{	start++;	}
		//We get the end index
		if ( (c=it.last())==' ' || c=='\n' || c=='\t' )
		{
			end--;
			while ( end>0 && ((c=it.previous())==' ' || c=='\n' || c=='\t' ))
			{	end--;	}
		}
		//And we trim the buffer, deleting order is important here
		value.delete(end, s.length());
		value.delete(0, start);
	}
	
	public String toString()
	{
		return getValue();
	}
}

