// ---------------------------------------------------@RisingSun//Java//1.0//EN
// Project			:	SPEdit-Prototypes
// Module			:	GUI-Views
// ClassName		:	TableView
// Version			:	0.08
// Type				:	
//
// ThreadSafe		:	Nope
// Description		:	A TableView wrapper.
//						
// URL				:	<http://SPEdit.sourceforge.net>
// ----------------------------------------------------------------------------
// Authors			:	Sebastien Pierre				<spierre@isb-sib.ch>
// ----------------------------------------------------------------------------
// Creation date	:	02-Oct-2001	
// Last mod.		:	02-Oct-2001	
// History			:
//						02-Sep-2001 First implementation. (SP)
//
// Notes			:
//
// Bugs				:
//					  -
//
// To do			:
//					  - 

package net.sourceforge.spedit.ui;

import java.awt.*;
import java.awt.geom.*;
import java.util.*;
import java.text.*;
import javax.swing.text.*;
import javax.swing.event.*;
import net.sourceforge.spedit.core.*;

//-----------------------------------------------------------------------------
//
// TableView class
//
//-----------------------------------------------------------------------------

/**
  * 
*/  
public class TableView extends javax.swing.text.TableView implements Styleable
{
	// PUBLIC__________________________________________________________________

	// PROTECTED_______________________________________________________________
	protected Styleable.StyleSheet styleSheet;
	protected String rowElement;
	protected String headingElement;

	// CONSTRUCTORS____________________________________________________________
	public TableView(Element e)
	{
		super(e);
		styleSheet = new Styleable.StyleSheet("TableView-"+e.getName(), this);
	}

	//-------------------------------------------------------------------------
	//
	// StyleSheet
	//
	//-------------------------------------------------------------------------

	public Styleable.StyleSheet getStyleSheet()
	{
		return styleSheet;
	}

	public void setStyleSheet(Styleable.StyleSheet s)
	{
		styleSheet=s;
		s.setName("TableView-"+getElement().getName());
	}

	public Styleable.StyleSheet getParentStyleSheet()
	{
		View parent = getParent();
		if ( parent!=null && parent instanceof Styleable )
		{
			return ((Styleable)parent).getStyleSheet();
		}
		else
		{
			return null;
		}
	}

	//-------------------------------------------------------------------------
	//
	// Style management
	//
	//-------------------------------------------------------------------------
}

// EOF-Unix/ASCII-------------------------------------@RisingSun//Java//1.0//EN